//	ADFS_LogFile.h

#ifndef _H_ADFS_LogFile
#define _H_ADFS_LogFile

#include "stdio.h"
#include "FileSystemTypes.h"

#define		USE_LOG_FILE	1

void		ADFS_OpenLogFile(void);
void		ADFS_CloseLogFile(void);
void		ADFS_LaunchLogFile(void);

void		ADFS_Log(char *);
void		ADFS_LogAlways(char *logStr);
void		ADFS_Log_FSType(FSType fsType);
void		ADFS_Log_Tabs(short tabsS);

void		ADFS_Log_Hex(ulong number);
void		ADFS_Log_Hex(ushort number);

void		ADFS_Log_Number(ulong number);
void		ADFS_Log_Number(long number);
void		ADFS_Log_Number(ushort number);
void		ADFS_Log_Number(short number);

#ifdef OLD68K
	extern	FILE		*gLogfile;
#else
	#ifdef __GNUC__
		extern	FILE		*gLogfile;
	#else
		extern	std::FILE		*gLogfile;
	#endif
#endif

#endif